#
# spec file for package perl-Ima-DBI-Contextual
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name Ima-DBI-Contextual
Name:           perl-Ima-DBI-Contextual
Version:        1.006
Release:        2.1
Summary:        Liteweight context-aware dbi handle cache and utility methods
License:        Artistic-1.0 OR GPL-1.0-or-later
Group:          Development/Libraries/Perl
URL:            https://metacpan.org/release/%{cpan_name}
Source:         https://www.cpan.org/authors/id/J/JO/JOHND/%{cpan_name}-%{version}.tar.gz
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Carp)
BuildRequires:  perl(DBD::SQLite)
BuildRequires:  perl(DBI) >= 1.614
BuildRequires:  perl(Digest::MD5)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(inc::Module::Install)
Requires:       perl(Carp)
Requires:       perl(DBI) >= 1.614
Requires:       perl(Digest::MD5)
BuildArch:      noarch
%{perl_requires}

%description
If you like the Ima::DBI manpage but need it to be more context-aware (eg:
tie dbi connections to more than the name and process id) then you need
'Ima::DBI::Contextual'.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%check
make %{?_smp_mflags} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes

%changelog
* Mon Feb  4 2019 pmonrealgonzalez@suse.com
- Fix build:
  * Added missing dependencies perl(inc::Module::Install), perl(Carp)
    perl(Digest::MD5) and perl(Test::More)
- Cleaned with spec-cleaner
* Tue Apr 14 2015 coolo@suse.com
- updated to 1.006
  see /usr/share/doc/packages/perl-Ima-DBI-Contextual/Changes
  2012-05-07    v1.006
  - DEPRECATED.
  2012-03-04    v1.005
  - Increased DBI required version to 1.614 for AutoInactiveDestroy attribute.
  2012-03-04    v1.004
  - A problem with forked children was discovered, which prompted further investigation.
    After many solid hours of furious hacking, I wonder how this ever worked.
    (Don't we all have moments like that?)
  - Performance with threads.pm, forks.pm, and regular perl fork()s *should*
    now be quite solid.
  - Recommended upgrade includes Class::DBI::Lite as a partially-related issue
    was discovered and fixed there as part of this coding session.
  - If this release does turn out to be stable, the amount of work that went into
    this release will warrant a full version bump.
  2012-03-03    v1.003
  - Of course 5 minutes later, I think I see the bug.
  - *This* one surely will do the trick.
  2012-03-02    v1.002
  - After extensive use in forked/threaded environments, some problems began to appear.
  - This release addresses these problems:
    "DBD driver has not implemented the AutoCommit attribute"
    "DBD::mysql::db do failed: MySQL server has gone away"
  - Major shout-out to Perrin for solving most of this several years ago.
    Perrin++
* Sat Sep 17 2011 jw@suse.com
- initial pull from CPAN with cpanspec_obs-0.9
- needed by perl-Class-DBI-Lite
* Sat Sep 17 2011 jw@suse.com
- initial package 1.001
  * created by cpanspec 1.78.04
